package cn.ibizlab.core.lite.extensions.model;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.experimental.Accessors;
import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;

import java.util.LinkedHashSet;

@Getter
@Setter
@NoArgsConstructor
@Accessors(chain = true)
public class Property {



    @JsonIgnore
    @JSONField(serialize = false)
    private DataModel ownerDataModel;

    @JSONField(ordinal = 1)
    private String propertyName;

    @JSONField(ordinal = 2)
    private String system;

    @JSONField(ordinal = 3)
    private String propertyEntity;

    @JSONField(ordinal = 4)
    private LinkedHashSet<PropertyMapping> propertyMappings = new LinkedHashSet<>();
    public void setPropertyMappings(LinkedHashSet<PropertyMapping> propertyMappings)
    {
        if(propertyMappings!=null)
        {
            propertyMappings.forEach(propertyMapping -> propertyMapping.setSelfProperty(this));
            this.propertyMappings=propertyMappings;
        }
    }


    @Override
    public String toString() {
        return "Property{" +
                "propertyName='" + getPropertyName() + '\'' +
                ", system='" + getSystem() + '\'' +
                ", propertyEntity='" + getPropertyEntity() + '\'' +
                ", propertyMappings=" + getPropertyMappings() +
                "}\r\n";
    }
}
